Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPU1.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPU1.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPU1.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPU1 ;ALB/CMM - GENERIC PROMPTS FOR PCMM REPORTS ;1/12/96
- ;;5.3;Scheduling;**41,45,130,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,45,130**;AUG 13, 1993
  ;
 INST ;Prompt for institution
@@ -109,5 +109,5 @@
  N TRUE,EN,TEAM
  S TRUE=0,EN=""
- F  S EN=$O(^SCTM(404.57,"E",+Y,EN)) Q:EN=""!(TRUE)  D
+ F  S EN=$O(^SCTM(404.57,"D",+Y,EN)) Q:EN=""!(TRUE)  D
  .S TEAM=+$P($G(^SCTM(404.57,EN,0)),"^",2)
  .I $D(VAUTT(TEAM))!(VAUTT=1) S TRUE=1
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPU2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPU2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPU2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPU2 ;ALB/CMM - GENERIC PROMPTS FOR PCMM REPORTS ; 12 Jan 99  1:23 PM
- ;;5.3;Scheduling;**41,174,297,526,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,174,297**;AUG 13, 1993
  ;
 DTRANG(FIRST,SECOND) ;Date Range - begin date ^ end date => fileman format
@@ -29,5 +29,5 @@
  N TPEN,FOUND,TEAM
  S TPEN="",FOUND=0
- F  S TPEN=$O(^SCTM(404.57,"E",CLN,TPEN)) Q:TPEN=""!(FOUND)  D
+ F  S TPEN=$O(^SCTM(404.57,"D",CLN,TPEN)) Q:TPEN=""!(FOUND)  D
  .S TEAM=$P(^SCTM(404.57,TPEN,0),"^",2)
  .I $D(^SCPT(404.42,"APTTM",DFN,TEAM)) S FOUND=1
@@ -122,14 +122,14 @@
 SORT2() ;Prompt for sorting by:
  ;   [1] Division, Team, Patient Name
- ;or [2] Division, Team, SSN
+ ;or [2] Division, Team, Last 4 Pt ID
  ;or [3] Division, Team, Practitioner, Patient Name
- ;or [4] Division, Team, Practitioner, SSN
+ ;or [4] Division, Team, Practitioner, Last 4 Pt ID
  ;
 EN4 ;
  N X
  W !,"Sort By:",!?10,"[1] Division, Team, Patient Name"
- W !?10,"[2] Division, Team, SSN"
+ W !?10,"[2] Division, Team, Last 4 Pt ID"
  W !?10,"[3] Division, Team, Practitioner, Patient Name"
- W !?10,"[4] Division, Team, Practitioner, SSN"
+ W !?10,"[4] Division, Team, Practitioner, Last 4 Pt ID"
  W !!,"Select 1, 2, 3, or 4: "
  R X:DTIME
@@ -141,6 +141,6 @@
  ;help prompt
  W !,"Enter: ",!?5,"- 1 to sort by Division, Team, Patient Name"
- W !?10,"- 2 to sort by Division, Team, SSN"
+ W !?10,"- 2 to sort by Division, Team, Last 4 Pt ID"
  W !?10,"- 3 to sort by Division, Team, Practitioner, Patient Name"
- W !?10,"- 4 to sort by Division, Team, Practitioner, SSN"
+ W !?10,"- 4 to sort by Division, Team, Practitioner, Last 4 Pt ID"
  Q
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPW24.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPW24.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPW24.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPW24 ;RENO/KEITH - ACRP Ad Hoc Report (cont.) ;06/19/99
- ;;5.3;Scheduling;**144,163,180,254,243,295,329,351,510**;AUG 13, 1993;Build 3
+ ;;5.3;Scheduling;**144,163,180,254,243,295,329,351**;AUG 13, 1993
  ;06/19/99 ACS - Added CPT modifier API calls
  ;
@@ -189,5 +189,5 @@
  ;
 ENROL(SDATE)  ;Get enrollment record (most recent to encounter date)
- N SDY,SDI,X1,X2,X,%Y S:SDATE#1=0 SDATE=SDATE+.9999 S SDI=0 F  S SDI=$O(^DGEN(27.11,"C",+$P(SDOE0,U,2),SDI)) Q:'SDI  S SDY=$G(^DGEN(27.11,SDI,0)),SDY($P($P(^DGEN(27.11,SDI,"U"),U,1),".",1))=SDY  ;SD/510 changed logic to use date/time entered
+ N SDY,SDI,X1,X2,X,%Y S:SDATE#1=0 SDATE=SDATE+.9999 S SDI=0 F  S SDI=$O(^DGEN(27.11,"C",+$P(SDOE0,U,2),SDI)) Q:'SDI  S SDY=$G(^DGEN(27.11,SDI,0)),SDY(+SDY)=SDY
  S SDI=$O(SDY(SDATE),-1) Q:'SDI ""  S X1=$P($P(SDOE0,U),"."),X2=SDI D ^%DTC Q SDY(SDI)
  ;
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPW6.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPW6.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPW6.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPW6 ;RENO/KEITH - Trend of Facility Uniques by 12 Month Date Ranges ; 15 Jul 98  02:38PM
- ;;5.3;Scheduling;**139,144,466,510**;AUG 13, 1993;Build 3
+ ;;5.3;Scheduling;**139,144,466**;AUG 13, 1993;Build 2
  N SDDIV,SDI,SDSTA,DIR D TITL^SCRPW50("Trend of Facility Uniques by 12 Month Date Ranges") G:'$$DIVA^SCRPW17(.SDDIV) EXIT
  D SUBT^SCRPW50("**** Status Selection ****")
@@ -7,5 +7,5 @@
  S SDSTA=$S(Y=1:2,Y=2:8,1:"2^8")
 QUE W !!,"This report requires 132 column output.",!
- N ZTSAVE F X="SDDIV","SDDIV(","SDDNU(","SDSTA" S ZTSAVE(X)=""
+ N ZTSAVE F X="SDDIV","SDDIV(","SDDNU(",SDSTA S ZTSAVE(X)=""
  D EN^XUTMDEVQ("UNIQ^SCRPW6","Trend Facility Uniques",.ZTSAVE),DISP0^SCRPW23 Q
 UNIQ ;Calculate/print uniques
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPW8.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPW8.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPW8.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPW8 ;RENO/KEITH - Outpatient Encounter Workload Statistics ; 04 Feb 99  4:53 PM
- ;;5.3;Scheduling;**139,145,144,176,339,466,510**;AUG 13, 1993;Build 3
+ ;;5.3;Scheduling;**139,145,144,176,339,466**;AUG 13, 1993;Build 2
 QS ;Queue outpatient encounter workload report
  D PARM^SCRPW9 Q
@@ -28,10 +28,10 @@
 PRPT ;Print statistics page
  D STOP Q:SDOUT
- S SDCT=0 F SDI=1,2,3,11,14,"8-CC" S SDCT=SDCT+$G(^TMP(SDS1,$J,SDS2,SDI))
+ S SDCT=0 F SDI=1,2,3,11,14,8 S SDCT=SDCT+$G(^TMP(SDS1,$J,SDS2,SDI))
  D XHDR Q:SDOUT  D SHDR("O U T P A T I E N T   E N C O U N T E R   W O R K L O A D") Q:SDOUT  F SDI=11,14,3,1 D LIST(SDI) Q:SDOUT
  I $D(^TMP(SDS1,$J,SDS2,2)) D:$Y>(IOSL-4) XHDR Q:SDOUT  W !?10,"CHECKED OUT" S SDI=0 F  S SDI=$O(^TMP(SDS1,$J,SDS2,2,SDI)) Q:'SDI!SDOUT  S SDSTAT=$O(^TMP(SDS1,$J,SDS2,2,SDI,"")) D COT
- I $D(^TMP(SDS1,$J,SDS2,"8-CC")) D:$Y>(IOSL-4) XHDR Q:SDOUT  W !?10,"INPATIENT APPOINTMENT" S SDI=0 F  S SDI=$O(^TMP(SDS1,$J,SDS2,"8-CC",SDI)) Q:'SDI!SDOUT  S SDSTAT=$O(^TMP(SDS1,$J,SDS2,"8-CC",SDI,"")) D IAP
- D TOT S (SDI,SDCT)=0 F SDI=4,5,6,7,"8-NC",9,12,13 S SDCT=SDCT+$G(^TMP(SDS1,$J,SDS2,SDI))
- W !! D SHDR("N O N - W O R K L O A D") Q:SDOUT  F SDI="8-NC",12,4,6,5,7,9,10,13 D LIST(SDI) Q:SDOUT
+ I $D(^TMP(SDS1,$J,SDS2,8)) D:$Y>(IOSL-4) XHDR Q:SDOUT  W !?10,"INPATIENT APPOINTMENT" S SDI=0 F  S SDI=$O(^TMP(SDS1,$J,SDS2,8,SDI)) Q:'SDI!SDOUT  S SDSTAT=$O(^TMP(SDS1,$J,SDS2,8,SDI,"")) D IAP
+ D TOT S (SDI,SDCT)=0 F SDI=4,5,6,7,9,12,13 S SDCT=SDCT+$G(^TMP(SDS1,$J,SDS2,SDI))
+ W !! D SHDR("N O N - W O R K L O A D") Q:SDOUT  F SDI=12,4,6,5,7,9,10,13 D LIST(SDI) Q:SDOUT
  D TOT W !! D SHDR(($$HD2()_"   O U T P A T I E N T   V I S I T S")) Q:SDOUT  S SDCT=^TMP(SDS1,$J,SDS2,"VISIT","NWK")+^TMP(SDS1,$J,SDS2,"VISIT","OWK")
  D:$Y>(IOSL-4) XHDR Q:SDOUT  W !?10,"Act. Req./not accepted visits",?47,$J(^TMP(SDS1,$J,SDS2,"VISIT","NWK"),12),?62,$J($S(SDCT=0:0,1:(^TMP(SDS1,$J,SDS2,"VISIT","NWK")*100/SDCT)),8,2)
@@ -52,5 +52,5 @@
 EXIT K SDTOE0,SDUNCO,SDUNAR,SDCT,DFN,SDDT,SDDTF,SDDTL,SDDTPF,SDDTPL,SDI,SDLINE,SDOE,SDOE0,SDPNOW,SDSTAT,SDSTX,SDTOE,SDTOEE,SDTOE1,SDTX,SDTXS,SDX,SDZ,DTOUT,X,Y,ZTDESC,ZTRTN,ZTSAVE
  D KVA^VADPT K X1,X2,SDH,SDHL,SDPNAM,SDSSN,SDPAGE,SDPT0,SDUL,DUOUT,SDARCT,SDST,SDPNOW,SDMD,SDMC,SDDIV,SDDNAM,SDS1,SDS2,SDCG,SDCLGR F I="SCRPW","SCRPWD","SCRPWC" K ^TMP(I,$J)
- K I,SDFF,SDOUT,SDSTOP,SDNCOU D END^SCRPW50 Q
+ K I,SDFF,SDOUT,SDSTOP D END^SCRPW50 Q
  ;
 HD1() ;Report subheader 1
@@ -83,15 +83,14 @@
  ;
 LIST(SDI) Q:'$D(^TMP(SDS1,$J,SDS2,SDI))  D:$Y>(IOSL-4) XHDR Q:SDOUT
- W !?10,$P(^SD(409.63,+SDI,0),U),?47,$J(^TMP(SDS1,$J,SDS2,SDI),12),?62,$J($S(SDCT=0:0,1:(^TMP(SDS1,$J,SDS2,SDI)*100/SDCT)),8,2)
+ W !?10,$P(^SD(409.63,SDI,0),U),?47,$J(^TMP(SDS1,$J,SDS2,SDI),12),?62,$J($S(SDCT=0:0,1:(^TMP(SDS1,$J,SDS2,SDI)*100/SDCT)),8,2)
  Q
  ;
 COT D:$Y>(IOSL-4) XHDR Q:SDOUT  W !?15,SDSTAT,?47,$J(^TMP(SDS1,$J,SDS2,2,SDI,SDSTAT),12),?62,$J($S(SDCT=0:0,1:(^TMP(SDS1,$J,SDS2,2,SDI,SDSTAT)*100/SDCT)),8,2) Q
  ;
-IAP D:$Y>(IOSL-4) XHDR Q:SDOUT  W !?15,SDSTAT,?47,$J(^TMP(SDS1,$J,SDS2,"8-CC",SDI,SDSTAT),12),?62,$J($S(SDCT=0:0,1:(^TMP(SDS1,$J,SDS2,"8-CC",SDI,SDSTAT)*100/SDCT)),8,2) Q
+IAP D:$Y>(IOSL-4) XHDR Q:SDOUT  W !?15,SDSTAT,?47,$J(^TMP(SDS1,$J,SDS2,8,SDI,SDSTAT),12),?62,$J($S(SDCT=0:0,1:(^TMP(SDS1,$J,SDS2,8,SDI,SDSTAT)*100/SDCT)),8,2) Q
 STOP ;Check for stop task request
  S:$G(ZTQUEUED) (SDOUT,ZTSTOP)=$S($$S^%ZTLOAD:1,1:0) Q
  ;
 COUNT ;Count encounters
- S SDNCOU=$P($G(^SC(+$P(SDOE0,U,4),0)),U,17),SDNCOU=$S(SDNCOU="Y":1,1:0)
  S SDSTOP=SDSTOP+1 I SDSTOP#3000=0 D STOP Q:SDOUT
  D C1("SCRPW",SDDNAM) D:SDMD C1("SCRPWD",SDDIV) D:SDCLGR C1("SCRPWC",SDCG) Q
@@ -99,14 +98,9 @@
 C1(SDS1,SDS2) ;Set ^TMP global
  ;Required input: SDS1,SDS2=subscript values
- ;Because there is only 1 status (8) for INPATIENTS, 8-NC is used to
- ;distinguish the non-count clinics from the count clinics, 8-CC.
- S DFN=$P(SDOE0,U,2),SDSTAT=+$P(SDOE0,U,12) I SDSTAT=8 S SDSTAT=$S(SDNCOU:SDSTAT_"-NC",1:SDSTAT_"-CC")
- I SDZ(0),SDZ(4)=SDDIV,SDS1="SCRPW" D DETAIL
+ S DFN=$P(SDOE0,U,2),SDSTAT=+$P(SDOE0,U,12) I SDZ(0),SDZ(4)=SDDIV,SDS1="SCRPW" D DETAIL
  S ^TMP(SDS1,$J,SDS2,SDSTAT)=$G(^TMP(SDS1,$J,SDS2,SDSTAT))+1
- Q:SDSTAT=4  Q:(+SDSTAT=8)&($P(SDSTAT,"-",2)="NC")  D:"114238"[+SDSTAT VIS Q
+ Q:SDSTAT=4  D:"114238"[SDSTAT VIS Q
  ;
-VIS S ^TMP(SDS1,$J,SDS2,"VISIT",$S(SDSTAT=2:"OWK",(+SDSTAT=8)&('SDNCOU):"OWK",1:"NWK"),DFN,$P(SDDT,"."))="" Q:(+SDSTAT'=2)&(+SDSTAT'=8)
- I +SDSTAT=8,$P(SDOE0,U,7)="" D  Q
- .S ^TMP(SDS1,$J,SDS2,SDSTAT,10,"Action Required")=$G(^TMP(SDS1,$J,SDS2,SDSTAT,10,"Action Required"))+1
+VIS S ^TMP(SDS1,$J,SDS2,"VISIT",$S(SDSTAT=2:"OWK",SDSTAT=8:"OWK",1:"NWK"),DFN,$P(SDDT,"."))="" Q:(SDSTAT'=2)&(SDSTAT'=8)
  S SDSTX=$$STX(SDOE,SDOE0),^TMP(SDS1,$J,SDS2,SDSTAT,$P(SDSTX,U),$P(SDSTX,U,2))=$G(^TMP(SDS1,$J,SDS2,SDSTAT,$P(SDSTX,U),$P(SDSTX,U,2)))+1
  Q:$P(SDSTX,U)'=8  S ^TMP(SDS1,$J,SDS2,"VISIT","ACC",DFN,$P(SDDT,"."))=""
@@ -129,15 +123,10 @@
  ;
 DETAIL ;Set global for detailed list
- N SDIF S SDIF=0
  D ^VADPT S SDPNAM=VADM(1),SDSSN=$P(VADM(2),U)
- I SDZ(1)="U",+SDSTAT'=4,'SDNCOU S:"114238"[+SDSTAT ^TMP(SDS1,$J,SDS2,"DETAIL",SDPNAM,DFN,SDSSN)="" Q
- I SDZ(1)="V",+SDSTAT'=4,'SDNCOU S:"114238"[+SDSTAT ^TMP(SDS1,$J,SDS2,"DETAIL",SDPNAM,DFN,SDSSN,$P(SDDT,"."))="" Q
+ I SDZ(1)="U",SDSTAT'=4 S:"114238"[SDSTAT ^TMP(SDS1,$J,SDS2,"DETAIL",SDPNAM,DFN,SDSSN)="" Q
+ I SDZ(1)="V",SDSTAT'=4 S:"114238"[SDSTAT ^TMP(SDS1,$J,SDS2,"DETAIL",SDPNAM,DFN,SDSSN,$P(SDDT,"."))="" Q
  Q:'$D(SDZ(2))  ; SD*5.3*339
- I SDZ(2)'=2,SDZ(2)=+SDSTAT D  I SDIF Q
- .I (SDZ(2)=8) Q:$P(SDSTAT,"-",2)="CC"  I SDZ(3)'=9 S SDIF=1 Q
- .D DSET S SDIF=1
- Q:("28"'[SDZ(2))!("28"'[+SDSTAT)  Q:SDZ(2)'=+SDSTAT  D  I SDIF Q
- .I +SDSTAT=8,$P(SDSTAT,"-",2)="NC" S SDIF=1 Q
- .I 'SDZ(3) D DSET S SDIF=1
+ I (SDZ(2)'=2)&(SDZ(2)'=8),SDZ(2)=SDSTAT D DSET Q
+ Q:("28"'[SDZ(2))!("28"'[SDSTAT)!(SDZ(2)'=SDSTAT)  I 'SDZ(3) D DSET Q
  D:+$$STX(SDOE,SDOE0)=SDZ(3) DSET Q
  ;
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPW9.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPW9.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPW9.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPW9 ;RENO/KEITH - Outpatient Encounter Workload Statistics (cont.) ; 15 Jul 98  02:38PM
- ;;5.3;Scheduling;**139,144,339,466,510**;AUG 13, 1993;Build 3
+ ;;5.3;Scheduling;**139,144,339,466**;AUG 13, 1993;Build 2
 UNARL(SDS1,SDS2) ;Print list of 'action required'/not accepted uniques
  ;Required input: SDS1,SDS2=subscript values
@@ -34,5 +34,4 @@
  S DIR(0)="S^A:All transmission statuses;1:No transmission record;2:Not required, not transmitted;3:Rejected for transmission;4:Awaiting transmission;"
  S DIR(0)=DIR(0)_"5:Transmitted, no acknowledgment;6:Transmitted, rejected;7:Transmitted, error;8:Transmitted, accepted"
- I SDZ(2)=8 S DIR(0)=DIR(0)_";9:Non-Count (not transmitted)"
  W ! D ^DIR I $D(DTOUT)!$D(DUOUT) S SDZ(0)=-1 Q  ;SD*5.3*339 add sub-zero
  S SDZ(3)=+Y
@@ -47,5 +46,5 @@
  K SDH S SDPAGE=1,SDH(1)="<*>  DETAILED LIST OF DIVISION "_$S(SDZ(1)="U":"UNIQUES",SDZ(1)="V":"VISITS",1:"ENCOUNTERS")_"  <*>",SDH(2)="For division: "_SDZ(4)
  I $G(SDZ(2)) S SDH(3)="Encounters with "_$P(^SD(409.63,SDZ(2),0),U)_" status"
- I $G(SDZ(2))'="","28"[SDZ(2) S SDH(4)="Transmission status: "_$P($T(TXS+SDZ(3)),";",2)
+ I "28"[$G(SDZ(2)) S SDH(4)="Transmission status: "_$P($T(TXS+SDZ(3)),";",2)
  D DHDR Q:SDOUT  I '$D(^TMP(SDS1,$J,SDS2,"DETAIL")) W !,"No records found in this category." Q
  S SDCT=0 D @SDZ(1) Q
@@ -90,5 +89,4 @@
  ;Transmitted, error
  ;Transmitted, accepted
- ;Non-Count (not transmitted)
  ;
 PARM ;Prompt for report parameters
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDAMBAE2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDAMBAE2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDAMBAE2.m	(revision 636)
@@ -1,4 +1,4 @@
 SDAMBAE2 ;ALB/BOK - ADD/EDIT CON'T ;11/21/91  12:15 ;
- ;;5.3;Scheduling;**15,79,111,132**;Aug 13, 1993
+ ;;5.3;Scheduling;**15,79,111,132**;Aug 13, 1993;Build 1
  ;
 APP ; -- screen on APPOINTMENT TYPE field in VISIT file CLINIC STOP multiple
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDAMBAE3.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDAMBAE3.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDAMBAE3.m	(revision 636)
@@ -1,4 +1,4 @@
 SDAMBAE3 ;ALB/BOK/MJK - ADD/EDIT CON'T ;7/8/91  12:18 ;
- ;;5.3;Scheduling;**18,29,40,111,132**;Aug 13, 1993
+ ;;5.3;Scheduling;**18,29,40,111,132**;Aug 13, 1993;Build 1
  ;
 DUP ; -- inp transform to check for duplicate CPTs in ^DD(409.51,21:25,0)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDAMODO3.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDAMODO3.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDAMODO3.m	(revision 636)
@@ -1,4 +1,4 @@
 SDAMODO3 ;ALB/SCK - PROVIDER DIAGNOSTICS REPORT OUTPUT ; 05 Oct 98  8:44 PM
- ;;5.3;Scheduling;**11,25,46,49,159,529**;Aug 13, 1993;Build 3
+ ;;5.3;Scheduling;**11,25,46,49,159**;Aug 13, 1993
  Q
 REPORT ;
@@ -96,5 +96,5 @@
  N Y S Y=1
  I PDIAG=1 G SELDXQ
- S DIC="^ICD9(",DIC(0)="XMS",X=DX_" "  ;SD/529
+ S DIC="^ICD9(",DIC(0)="MZ",X=DX
  D ^DIC K DIC I Y<0 S Y=0 G SELDXQ
  I $D(PDIAG($P(Y,U))) G SELDXQ
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT ; GENERATED FROM 'SDB' INPUT TEMPLATE(#485), FILE 44;05/05/06
+SDBT ; GENERATED FROM 'SDB' INPUT TEMPLATE(#485), FILE 44;10/02/06
  D DE G BEGIN
 DE S DIE="^SC(",DIC=DIE,DP=44,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^SC(DA,""))=""
@@ -148,5 +148,5 @@
 C12 G C12S:$D(DE(12))[0 K DB
 C12S S X="" G:DG(DQ)=X C12F1 K DB
-C12F1 N X,X1,X2 S DIXR=458 D C12X1(U) K X2 M X2=X D C12X1("O") K X1 M X1=X
+C12F1 N X,X1,X2 S DIXR=473 D C12X1(U) K X2 M X2=X D C12X1("O") K X1 M X1=X
  I $G(X(1))]"" D
  . K ^SC("AST",X,DA)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT1.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT1.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT1.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT1 ; ;05/05/06
+SDBT1 ; ;10/02/06
  S X=DE(19),DIC=DIE
  K ^SC("ALTP",$E(X,1,30),DA)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT10.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT10.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT10.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT10 ; ;05/05/06
+SDBT10 ; ;10/02/06
  D DE G BEGIN
 DE S DIE="^SC(",DIC=DIE,DP=44,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^SC(DA,""))=""
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT11.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT11.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT11.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT11 ; ;04/26/05
+SDBT11 ; ;11/16/05
  D DE G BEGIN
 DE S DIE="^SC(",DIC=DIE,DP=44,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^SC(DA,""))=""
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT2.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT2 ; ;05/05/06
+SDBT2 ; ;10/02/06
  S X=DG(DQ),DIC=DIE
  S ^SC("ALTP",$E(X,1,30),DA)=""
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT3.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT3.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT3.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT3 ; ;05/05/06
+SDBT3 ; ;10/02/06
  S X=DE(20),DIC=DIE
  K ^SC("ALTC",$E(X,1,30),DA)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT4.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT4.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT4.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT4 ; ;05/05/06
+SDBT4 ; ;10/02/06
  S X=DG(DQ),DIC=DIE
  S ^SC("ALTC",$E(X,1,30),DA)=""
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT5.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT5.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT5.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT5 ; ;05/05/06
+SDBT5 ; ;10/02/06
  D DE G BEGIN
 DE S DIE="^SC(",DIC=DIE,DP=44,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^SC(DA,""))=""
@@ -141,5 +141,5 @@
 C16 G C16S:$D(DE(16))[0 K DB
 C16S S X="" G:DG(DQ)=X C16F1 K DB
-C16F1 N X,X1,X2 S DIXR=457 D C16X1(U) K X2 M X2=X D C16X1("O") K X1 M X1=X
+C16F1 N X,X1,X2 S DIXR=472 D C16X1(U) K X2 M X2=X D C16X1("O") K X1 M X1=X
  I $G(X(1))]"" D
  . K ^SC("ACST",X,DA)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT6.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT6.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT6.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT6 ; ;05/05/06
+SDBT6 ; ;10/02/06
  D DE G BEGIN
 DE S DIE="^SC(D0,""PR"",",DIC=DIE,DP=44.1,DL=2,DIEL=1,DU="" K DG,DE,DB Q:$O(^SC(D0,"PR",DA,""))=""
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT7.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT7.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT7.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT7 ; ;05/05/06
+SDBT7 ; ;10/02/06
  D DE G BEGIN
 DE S DIE="^SC(D0,""DX"",",DIC=DIE,DP=44.11,DL=2,DIEL=1,DU="" K DG,DE,DB Q:$O(^SC(D0,"DX",DA,""))=""
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT8.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT8.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT8.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT8 ; ;05/05/06
+SDBT8 ; ;10/02/06
  D DE G BEGIN
 DE S DIE="^SC(D0,""SDPRIV"",",DIC=DIE,DP=44.04,DL=2,DIEL=1,DU="" K DG,DE,DB Q:$O(^SC(D0,"SDPRIV",DA,""))=""
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT9.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDBT9.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDBT9.m	(revision 636)
@@ -1,3 +1,3 @@
-SDBT9 ; ;05/05/06
+SDBT9 ; ;10/02/06
  D DE G BEGIN
 DE S DIE="^SC(D0,""SI"",",DIC=DIE,DP=44.03,DL=2,DIEL=1,DU="" K DG,DE,DB Q:$O(^SC(D0,"SI",DA,""))=""
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDC.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDC.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDC.m	(revision 636)
@@ -1,4 +1,4 @@
 SDC ;MAN/GRR,ALB/LDB - CANCEL A CLINIC'S AVAILABILITY ; 3/2/05 2:11pm
- ;;5.3;Scheduling;**15,32,79,132,167,478,487,523**;Aug 13, 1993;Build 6
+ ;;5.3;Scheduling;**15,32,79,132,167,478,487**;Aug 13, 1993
  N SDATA,SDCNHDL ; for evt dvr
 SDC1 K SDLT,SDCP S NOAP="" D LO^DGUTL
@@ -39,11 +39,9 @@
  D S S ^(1)="   "_$E(SD,6,7)_"    **CANCELLED**",FR=SD,TO=SD+.9 ;NAKED REFERENCE - ^SC(IFN,"ST",Date,1)
 C S FR=$O(^SC(SC,"S",FR)) I FR<1!(FR'<TO) W !!,"CANCELLED!  " K SDX G CHKEND^SDC0
- N TDH,TMPD,DIE,DR,NODE
+ N TDH,TMPD,DIE,DR
  F I=0:0 S I=$O(^SC(SC,"S",FR,1,I)) Q:I'>0  D
  .S DFN=+^SC(SC,"S",FR,1,I,0),SDCNHDL=$$HANDLE^SDAMEVT(1)
  .D BEFORE^SDAMEVT(.SDATA,DFN,FR,SC,I,SDCNHDL)
  .S $P(^SC(SC,"S",FR,1,I,0),"^",9)="C"
- .S:$D(^DPT(DFN,"S",FR,0)) NODE=^(0)  ;added SD/523
- .Q:$P(NODE,U,1)'=SC                  ;added SD/523
  .S ^DPT("ASDCN",SC,FR,DFN)=""
  .S SDSC=SC,SDTTM=FR,SDPL=I,TDH=DH,TMPD=CANREM D CANCEL^SDCNSLT S DH=TDH ;SD/478
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDCLAS.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDCLAS.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDCLAS.m	(revision 636)
@@ -1,4 +1,4 @@
 SDCLAS ;ALB/TMP,MRY - Clinic Assignment List Extract ;12/23/92  11:42
- ;;5.3;Scheduling;**63,243,517,523**;Aug 13, 1993;Build 6
+ ;;5.3;Scheduling;**63,243,517**;Aug 13, 1993;Build 4
  ;SD/517 CORRECTED ALL $NEXT FUNCTIONAL COMMANDS
  S DIV="" D DIV^SDUTL I $T D CALST^SDDIV Q:Y<0
@@ -14,10 +14,10 @@
  S PGM="START^SDCLAS",VAR="SDIFN^SDSRT^DIV^SDTS^SDSAV^SDFAST",VAL=SDIFN_"^"_SDSRT_"^"_DIV_"^"_SDTS_"^"_SDSAV_"^"_SDFAST D ZIS^DGUTQ Q:POP
 START K ^UTILITY($J) S SDSTOP=$S(SDSRT="S":SDIFN,1:""),SD1="",U="^" U IO G:SDIFN="ALL"!(SDSRT="S")!(SDSAV]"") ALL
-ONE S ONE=1 D INIT F SDAPPT=SDTS:0 S SDAPPT=$O(^SC(SDIFN,"S",SDAPPT)) Q:SDAPPT'>0  D PT
+ONE S ONE=1 D INIT S SDAPPT=0 F  S SDAPPT=$O(^SC(SDIFN,"S",SDAPPT)) Q:'SDAPPT  D PT
  D:'SDFAST AEB^SDCLAS0 G ^SDCLAS1
 ALL S ONE=0 I SDSAV']"" S SDIFN=0 F  S SDIFN=$O(^SC(SDIFN)) Q:'SDIFN  I $P(^(SDIFN,0),"^",3)="C" D APPT
  I SDSAV]"" D APART S SDIFN=0 F  S SDIFN=$O(SDZ(SDIFN)) Q:'SDIFN  I $D(^SC(SDIFN,0)),$P(^(0),"^",3)="C" D APPT
  G ^SDCLAS1
-APPT D CHECK I 'POP K ^UTILITY($J,"PAT",SDIFN) D INIT F SDAPPT=SDTS:0 S SDAPPT=$O(^SC(SDIFN,"S",SDAPPT)) D:SDAPPT>0 PT I SDAPPT'>0 D:'SDFAST AEB^SDCLAS0 Q
+APPT D CHECK I 'POP K ^UTILITY($J,"PAT",SDIFN) D INIT S SDAPPT=0 F  S SDAPPT=$O(^SC(SDIFN,"S",SDAPPT)) D:SDAPPT PT I 'SDAPPT D:'SDFAST AEB^SDCLAS0 Q
  Q
 PT S SD=0 F  S SD=$O(^SC(SDIFN,"S",SDAPPT,1,SD)) Q:'SD  Q:'$D(^(SD,0))  S DFN=+^(0) D PT1
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDCLAV0.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDCLAV0.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDCLAV0.m	(revision 636)
@@ -1,11 +1,9 @@
 SDCLAV0 ;ALB/LDB - OUTPUT PATTERNS (cont.) ; 05 Mar 99 11:31 AM
- ;;5.3;Scheduling;**184,439,490,517,529**;Aug 13, 1993;Build 3
+ ;;5.3;Scheduling;**184,439,490,517**;Aug 13, 1993;Build 4
  ;SD/517 CHANGED FOR LOOPS
  I 'VAUTC S SDC=0 F  S SDC=$O(VAUTC(SDC)) Q:'SDC  S SDV=VAUTC(SDC) D:VAUTD!($D(VAUTD(+$P(^SC(SDC,0),"^",15))))!('$P(^(0),"^",15)&$D(VAUTD($P(^DG(43,1,"GL"),"^",3)))) S1
  I VAUTC S SDC=0 F  S SDC=$O(^SC(SDC)) Q:'SDC  I $P(^(SDC,0),"^",3)="C" D:VAUTD!($D(VAUTD(+$P(^(0),"^",15))))!('$P(^(0),"^",15)&$D(VAUTD($P(^DG(43,1,"GL"),"^",3)))) S1
  I $D(^UTILITY($J,"SDNMS")) D S2^SDCLAV1
- ;following line commented off per SD*529
- ;S DGTCH="CLINIC AVAILABILITY REPORT^CLINIC^PAGE#" D:$E(IOST,1,2)="P-" TP^DGUTL K SDBD,SDCI,SDED D END^SDCLAV Q
- D END^SDCLAV Q
+ S DGTCH="CLINIC AVAILABILITY REPORT^CLINIC^PAGE#" D:$E(IOST,1,2)="P-" TP^DGUTL K SDBD,SDCI,SDED D END^SDCLAV Q
 S1 S SD=^SC(SDC,0),D=$S($P(SD,"^",15):$P(SD,"^",15),1:$P(^DG(43,1,"GL"),"^",3)),SD5=0,SDNM=$P(SD,"^")
  S $P(^UTILITY($J,"SDNMS",D,SDNM),"^",3)=SDC
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDCWL2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDCWL2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDCWL2.m	(revision 636)
@@ -1,4 +1,4 @@
 SDCWL2 ;ALB/MLI - CONTINUATION OF CLINIC WORKLOAD REPORTS ; 07 Mar 99  6:41 PM
- ;;5.3;Scheduling;**140,132,171,184,529**;Aug 13, 1993;Build 3
+ ;;5.3;Scheduling;**140,132,171,184**;Aug 13, 1993
 PRO S SDAS=$S($P(^SC(I,"S",J,1,K,0),U,9)="C":"C",1:$P(^DPT(DFN,"S",J,0),U,2)) S SDP=$P(^DPT(DFN,"S",J,0),U,7)
 PRO1 S SDP=$P(^DPT(DFN,"S",J,0),U,7) S:SDS="C" ^(SDN)=$S($D(^TMP($J,"CL",'$D(SDFL),SDN)):^(SDN),1:0)
@@ -9,5 +9,5 @@
  Q:$D(SDFL)!(SDRT="B")  S SDAPT=$S(SDF="D":J\1,1:J\100) S:'$D(^TMP($J,1,SDN,SDAPT)) (^(SDAPT,"CA"),^("NS"),^("IN"),^("OB"),^("UN"),^("SD"))=0
  S TIME=$E($P(J,".",2)_"0000",1,4),TIME=$E(TIME,1,2)_":"_$E(TIME,3,4)
- S:SDNAM SDPN=$E($P(^DPT(DFN,0),U),1,20),SDSSN=$S($P(^(0),U,9)]"":$P(^(0),U,9),1:0),^TMP($J,1,SDN,SDAPT,"NM",SDPN,SDSSN,TIME,$S(SDAS]"":SDAS,SDOB:"OB",SDP=1:"S",SDP=3:"S",SDP=4:"U",1:" "))=""  ;added SDP=1 SD*529
+ S:SDNAM SDPN=$E($P(^DPT(DFN,0),U),1,20),SDSSN=$S($P(^(0),U,9)]"":$P(^(0),U,9),1:0),^TMP($J,1,SDN,SDAPT,"NM",SDPN,SDSSN,TIME,$S(SDAS]"":SDAS,SDOB:"OB",SDP=3:"S",SDP=4:"U",1:" "))=""
  K TIME I SDAS["C" S ^("CA")=^TMP($J,1,SDN,SDAPT,"CA")+1 Q
  I SDAS="N"!(SDAS="NA") S ^("NS")=^TMP($J,1,SDN,SDAPT,"NS")+1 Q
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDD0.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDD0.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDD0.m	(revision 636)
@@ -1,4 +1,4 @@
 SDD0 ;SF/GFT,ALB/BOK,JSH,LDB - REMAP A CLINIC ; 26 JAN 84  3:00 pm
- ;;5.3;Scheduling;**167,401,529**;Aug 13, 1993;Build 3
+ ;;5.3;Scheduling;**167,401**;Aug 13, 1993
 SETX ;
  N SDDIV
@@ -8,5 +8,5 @@
  S:SI=1 SI=4 S:SI=2 SI=4 S SDSOH=$S($P(SDSL,U,8)']"":0,1:1)
  K SDIN,SDRE,SDRE1 N SDNODE I $D(^SC(SC,"I")) S SDIN=+^("I"),SDRE=+$P(^("I"),"^",2),Y=SDRE D DTS^SDUTL S SDRE1=Y
- F DATE=$$FMADD^XLFDT(SDBD,-1):0 S X1=DATE,X2=1 N X D C^%DTC S DATE=X S SDNODE=$D(^SC(SC,"ST",DATE)) Q:DATE'>0!(DATE>SDED)  I $S('$D(SDIN):1,'SDIN:1,SDIN>DATE:1,SDRE'>DATE&(SDRE):1,1:0) K SM,SDHOL D CHECK  ;changed 1st part of For loop SD*529
+ F DATE=SDBD-1:0 S X1=DATE,X2=1 N X D C^%DTC S DATE=X S SDNODE=$D(^SC(SC,"ST",DATE)) Q:DATE'>0!(DATE>SDED)  I $S('$D(SDIN):1,'SDIN:1,SDIN>DATE:1,SDRE'>DATE&(SDRE):1,1:0) K SM,SDHOL D CHECK
  Q
 CHECK S X=DATE D DW^%DTC S DAY=$P("SUN^MON^TUES^WEDNES^THURS^FRI^SATUR",U,Y+1),DOW=Y
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDLT.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDLT.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDLT.m	(revision 636)
@@ -1,4 +1,4 @@
 SDLT ;ALB/LDB - CANCELLATION LETTERS ; 14 Feb 2003
- ;;5.3;Scheduling;**185,213,281,330,398,523**;Aug 13, 1993;Build 6
+ ;;5.3;Scheduling;**185,213,281,330,398**;Aug 13, 1993
  ;
  ;**************************************************************************
@@ -14,7 +14,5 @@
  ;
  ;WRITE GREETING AND OPENING TEXT OF LETTER
-PRT S DFN=$P(A,U,1)  ;SD*523
- I $D(SDNOSH) I $D(^DPT(DFN,.1)) S POP=1 Q:POP  ;SD/523
- S Y=DT D DTS^SDUTL
+PRT S Y=DT D DTS^SDUTL
  I +$G(SDFIRST)=0 W @IOF ;SD*5.3*330 Form feed only after letter #1
  K SDFIRST
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDN1.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDN1.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDN1.m	(revision 636)
@@ -1,4 +1,4 @@
 SDN1 ;BSN/GRR - NO-SHOW LETTERS ; 17 AUG 84  4:34 pm
- ;;5.3;Scheduling;**330,340,398,455,523**;Aug 13, 1993;Build 6
+ ;;5.3;Scheduling;**330,340,398,455**;Aug 13, 1993
  N SDBAD
  I ANS["Y"&($D(C)) F A=0:0 S A=$O(^UTILITY($J,A)) Q:A'>0  F C=0:0 S C=$O(^(A,C)) Q:C'>0  S SC=+^(C),SDLET="" S:$D(^SC(SC,"LTR")) SDLET=+^("LTR") S:SDLET ^UTILITY($J,"SDLT",SDLET,A,C)=^UTILITY($J,A,C) S:'SDLET ^UTILITY($J,"NO",A,C)=SC D KLL
@@ -9,5 +9,5 @@
 LST1 F C=0:0 S C=$O(^SC(C)) Q:C'>0  D LT,CHECK1 I $T,$S(SDV1="":1,SDV=SDV1:1,SDV="":1,1:0),'$D(SDVAUTC(+C)),$D(^SC(C,"S")) D OVER
 LST N SDFIRST S SDFIRST=1
- F SDLET=0:0 S SDLET=$O(^UTILITY($J,"SDLT",SDLET)) Q:SDLET'>0  F A=0:0 S A=$O(^UTILITY($J,"SDLT",SDLET,A)) Q:A'>0  I $S('$D(^DPT(A,.35)):1,$P(^(.35),"^",1)']"":1,1:0) N POP S POP=0 D ^SDLT Q:POP  D WR  ;SD*523 added quit
+ F SDLET=0:0 S SDLET=$O(^UTILITY($J,"SDLT",SDLET)) Q:SDLET'>0  F A=0:0 S A=$O(^UTILITY($J,"SDLT",SDLET,A)) Q:A'>0  I $S('$D(^DPT(A,.35)):1,$P(^(.35),"^",1)']"":1,1:0) D ^SDLT,WR
  I $D(^UTILITY($J,"NO")) W @IOF F A=0:0 S A=$O(^UTILITY($J,"NO",A)) Q:A'>0  F A1=0:0 S A1=$O(^(A,A1)) Q:A1'>0  Q:$$BADADR^DGUTL3(A)  W !,$P(^DPT(A,0),"^")," ",$P(^(0),"^",9)," has failed to keep the following appointment(s):" D NDT
  W:$D(^UTILITY($J,"NO")) !,"However, there are no letters assigned to the clinic(s).",!!
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDNOS0.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDNOS0.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDNOS0.m	(revision 636)
@@ -1,4 +1,4 @@
 SDNOS0 ;ALB/LDB - NO SHOW REPORT ; 07 May 99 10:21 AM
- ;;5.3;Scheduling;**20,194,410,517,523**;Aug 13, 1993;Build 6
+ ;;5.3;Scheduling;**20,194,410,517**;Aug 13, 1993;Build 4
  D END1^SDNOS
  S (SDV1,SDIN,SDNM,SDNM1)=0,SDDIVO=SDDIV
@@ -33,6 +33,5 @@
  Q
  ;Added 2nd Quit below SD/517
- ;SD/523 - added Q:SDPAT="" to For loop
-CHK S SDAPP=0 F  S SDAPP=$O(^SC(SDCL,"S",SDBEG1,1,SDAPP)) Q:'SDAPP  Q:'$D(^(SDAPP,0))  I $D(^SC(SDCL,"S",SDBEG1,1,SDAPP))=10,$P(^(SDAPP,0),U,9)'="C" S SDPAT=$P(^SC(SDCL,"S",SDBEG1,1,SDAPP,0),U,1) Q:SDPAT=""  I $D(^DPT(SDPAT,"S",SDBEG1)) D CHK1
+CHK S SDAPP=0 F  S SDAPP=$O(^SC(SDCL,"S",SDBEG1,1,SDAPP)) Q:'SDAPP  Q:'$D(^(SDAPP,0))  I $D(^SC(SDCL,"S",SDBEG1,1,SDAPP))=10,$P(^(SDAPP,0),U,9)'="C" S SDPAT=$P(^SC(SDCL,"S",SDBEG1,1,SDAPP,0),U,1) I $D(^DPT(SDPAT,"S",SDBEG1)) D CHK1
  Q
  ;
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SDPFSS.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SDPFSS.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SDPFSS.m	(revision 636)
@@ -1,4 +1,21 @@
-SDPFSS ;ALB/SCK - Patient Financial Services System  ;22-APR-2005
- ;;5.3;Scheduling;**430**;Aug 13, 1993
+SDPFSS ;ALB/SCK - Patient Financial Services System  ;11/24/0622-APR-2005
+ ;;5.3;Scheduling;**430,502**;Aug 13, 1993  ;Build 14
+ ; Modified from FOIA VISTA,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+ ;
  ;
  Q
@@ -11,12 +28,20 @@
  ; Check conditions before proceeding
  Q:'$G(DFN)
+ ; VWSD LOCAL MOD HERE SDVWNVAI VARIABLE, SEE DEFINITION AT VWSD LOCAL MOD BELOW
+ I $D(SDVWNVAI) G OVER
  Q:'$$CHECK
+OVER ;
+ ;END LOCAL MOD
  Q:$$TESTPAT^VADPT(DFN)
- ;
+ ;VWSD LOCAl MOD
  ; Call the ICN API to generate an ICN if one does not exist for the patient.
+ ;VWSD SDVWNVAI VARIABLE -LOCAL MOD FOR disabling the need for ICN or use of other ICN system for non-VA system
  S SDOK=$$ICNLC^MPIF001(DFN)
- I SDOK<0 D
+ I $D(SDVWNVAI) G OVER1
+ I (SDOK<0) D
  . D ERRMSG^SDPFSS2(SDOK)
  ;
+OVER1 ;
+ ;END LOCAL MOD
  ; Get event type
  S SDEVENT=$S($D(SDAMEVT):$$GET1^DIQ(409.66,SDAMEVT,.01),1:"OTHER")
